# Class CIM_LogicalDiskBasedOnExtent
extends CIM_BasedOn

LogicalDisks can be BasedOn a single StorageVolume, Memory (in the case of a RAM Disk), a DiskPartition or other StorageExtent. These relationships are made explicit in this association. Subclasses of the association, LogicalDiskBasedOn Partition and LogicalDiskBasedOnVolume, detail the 'typical' semantics.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_BasedOn
|
+--CIM_LogicalDiskBasedOnExtent

## Direct Known Subclasses

CIM_LogicalDiskBasedOnPartition
CIM_LogicalDiskBasedOnVolume

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | LogicalDisks can be BasedOn a single StorageVolume, Memory (in the case of a RAM Disk), a DiskPartition or other StorageExtent. These relationships are made explicit in this association. Subclasses of the association, LogicalDiskBasedOn Partition and LogicalDiskBasedOnVolume, detail the 'typical' semantics.
UMLPackagePath | string | CIM::Device::StorageExtents
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_LogicalDiskBasedOnExtent | CIM_StorageExtent
Dependent | CIM_LogicalDiskBasedOnExtent | CIM_LogicalDisk

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
EndingAddress | uint64 | CIM_BasedOn
OrderIndex | uint16 | CIM_BasedOn
StartingAddress | uint64 | CIM_BasedOn

## Class Methods